<template>

  <div>
  <nav class="nav justify-content-end">
  <a class="nav-link active" aria-current="page" href="#">Crear</a>
  <a class="nav-link" href="#">Ver Personaje</a>
  <a class="nav-link" href="#">Herramientas</a>
  
</nav>
  <h1>Creacion de Personajes</h1>
  
    <b-form @submit="onSubmit" @reset="onReset" v-if="show">
      <b-form-group
        id="input-group-1"
        label="Nombre del Jugador:"
        label-for="input-1"
      >
        <b-form-input
          id="input-1"
          v-model="form.jugador"
          placeholder="Ingrese el nombre de su Jugador"
          required
        >
        </b-form-input>
      </b-form-group>

      <b-form-group id="input-group-2" label="Nombre del Personaje:" label-for="input-2">
        <b-form-input
          id="input-2"
          v-model="form.nombre"
          placeholder="Ingrese el nombre de su personaje"
          required
        ></b-form-input>
      </b-form-group>

      

      <b-form-group id="input-group-3" label="Seleccione su clase:" label-for="input-3">
        <b-form-select
          id="input-3"
          v-model="form.clase"
          :options="clases"
          required
        >
        </b-form-select>
      </b-form-group>

      <b-form-group id="input-group-4" label="Seleccione el nivel:" label-for="input-4">
        <b-input-group>
          <b-input-group-prepend>
            <b-btn variant="outline-info"></b-btn>
          </b-input-group-prepend>

          <b-form-input
            id="input-4"

            v-model="form.nivel"
            placeholder="Ingrese el nivel"
            type="number"
            min="1"
            max="20"
            >
            
          </b-form-input>

          <b-input-group-append>
            <b-btn variant="outline-secondary"></b-btn>
          </b-input-group-append>
        </b-input-group>
      </b-form-group>

    
    



      <b-button type="submit" variant="primary">Crear</b-button>
      <b-button type="reset" variant="danger">Reiniciar</b-button>
    </b-form>
    <b-card class="mt-3" header="Form Data Result">
      <pre class="m-0">{{ form }}</pre>
    </b-card>
    
  </div>
</template>

<script>
export default {
    data() {
      return {
        form: {
          jugador: '',
          nombre: '',
          clase: null,
          nivel:'',
        },
        clases: [{ text: 'Select One', value: null }, 'Barbaro', 'Bardo', 'Brujo', 'Clerigo', 'Druida', 'Guerrero', 'Hechicero', 'Monje', 'Paladin', 'Explorador', 'Mago', 'Picaro'],
        show: true
      }
    },
    methods: {
      onSubmit(event) {
        event.preventDefault()
        alert(JSON.stringify(this.form))
      },
      onReset(event) {
        event.preventDefault()
        // Reset our form values
        this.form.jugador = ''
        this.form.nombre = ''
        this.form.clase = null
        this.form.nivel = ''
     
        // Trick to reset/clear native browser form validation state
        this.show = false
        this.$nextTick(() => {
          this.show = true
        })
      }
    }
  }
</script>

<style scoped>
form{
  font-size: 20px;
  background-color: #042940;
  color:white;

}

label{
  
  color:white;
}
input{
  margin: auto;
  width: 50%;
}
select{
  margin: auto;
  width: 50%;
}

#input-group-4{
  margin: auto;
  width: 20%;
  
}

</style>